DoubleValue (Java SE 23 & JDK 23)
Description: declaration: module: jdk.jdi, package: com.sun.jdi, interface: DoubleValue
Keywords: com.sun.jdi.DoubleValue interface

# Interface DoubleValue

All Superinterfaces:
  `Comparable<DoubleValue>`, `Mirror`, `PrimitiveValue`, `Value`

public interface DoubleValue extends PrimitiveValue, Comparable<DoubleValue>
Provides access to a primitive `double` value in the target VM.

Since:
  1.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Compares the specified Object with this DoubleValue for equality.
  `int`
  `hashCode()`
  Returns the hash code value for this DoubleValue.
  `double`
  `value()`
  Returns this DoubleValue as a `double`.

  ### Methods declared in interface java.lang.Comparable

  `compareTo`

  ### Methods declared in interface com.sun.jdi.Mirror

  `toString, virtualMachine`

  ### Methods declared in interface com.sun.jdi.PrimitiveValue

  `booleanValue, byteValue, charValue, doubleValue, floatValue, intValue, longValue, shortValue`

  ### Methods declared in interface com.sun.jdi.Value

  `type`

- ## Method Details

  - ### value

    double value()
    Returns this DoubleValue as a `double`.
    Returns:
      the `double` mirrored by this object.

  - ### equals

    boolean equals(Object obj)
    Compares the specified Object with this DoubleValue for equality.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - the reference object with which to compare.
    Returns:
      true if the Object is a DoubleValue and if applying "==" to the two mirrored primitives would evaluate to true; false otherwise.
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### hashCode

    int hashCode()
    Returns the hash code value for this DoubleValue.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      the integer hash code
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(java.lang.Object)`